import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSet } from "../Foundation/NSSet.js";
export declare class _MTRDistinguishedNameInfo extends _NSObject {
    static alloc(): _MTRDistinguishedNameInfo;
    static new(): _MTRDistinguishedNameInfo;
    init(): _MTRDistinguishedNameInfo;
    /**
     * The Node ID contained in the DN, if any. Will be non-nil for the subject of a valid node operational certificate.
     */
    nodeID(): _NSNumber | null;
    /**
     * The Fabric ID contained in the DN, if any. Will be non-nil for the subject of a valid node operational certificate, and may be non-nil for the subject of a valid intermediate or root certificate.
     */
    fabricID(): _NSNumber | null;
    /**
     * The `RCAC` ID contained in the DN, if any. Will be non-nil for the subject of a valid root certificate.
     */
    rootCACertificateID(): _NSNumber | null;
    /**
     * The `ICAC` ID contained in the DN, if any. Will be non-nil for the subject of a valid intermediate certificate.
     */
    intermediateCACertificateID(): _NSNumber | null;
    /**
     * The set of CASE Authenticated Tags contained in the DN. Maybe be non-empty for the subject of a valid node operational certificate.
     */
    caseAuthenticatedTags(): _NSSet;
}
export interface _MTRDistinguishedNameInfo extends _NSCopying {
}
